package com.jwipc.sys.convert;

import com.jwipc.sys.dto.PrintTempBaseDTO;
import com.jwipc.sys.dto.PrintTempListDTO;
import com.jwipc.sys.entity.SysPrintTemp;
import org.mapstruct.Mapper;

import java.util.List;


@Mapper(componentModel = "spring")
public interface PrintTempConvert {

    SysPrintTemp convert2(PrintTempBaseDTO saveOrUpdate);

    PrintTempBaseDTO convert3(SysPrintTemp byId);

    List<PrintTempListDTO> convert1(List<SysPrintTemp> list);
}
